Skip to main content
Retrieve a paginated list of users in a specific room.

Endpoint

GET /v1/accounts/:accountId/users

Authentication

Bearer token required.

Query Parameters

roomId
string
required
The room ID to list users for.
limit
number
default:"50"
Number of users to return. Maximum 100.
offset
number
default:"0"
Number of users to skip for pagination.
Case-insensitive partial match on user name or ID.

Response

users
CollabKitUser[]
Array of user objects. See CollabKitUser.
total
number
Total number of users matching the query.
limit
number
The limit used in this request.
offset
number
The offset used in this request.

Example

curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/users?roomId=c3003c93-60cf-4184-b85f-20be14d26dac&limit=10" \
  -H "Authorization: Bearer ${TOKEN}"
Response
{
  "type": "response",
  "success": true,
  "description": "Users retrieved",
  "data": {
    "users": [
      {
        "id": "f47ac10b-58cc-4372-...",
        "room_id": "c3003c93-...",
        "name": "Alice",
        "profile_picture": "https://example.com/alice.png",
        "custom_id": "alice-001",
        "status": "online",
        "created_at": "2026-05-29T10:05:00.000Z",
        "joined_at": "2026-05-29T10:06:00.000Z",
        "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
      }
    ],
    "total": 5,
    "limit": 10,
    "offset": 0
  },
  "error": null
}